Bug 9685 - Allow sort baskets by number
Summary: Allow sort baskets by number
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Fridolin SOMERS
QA Contact:
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-21 14:54 UTC by Fridolin SOMERS
Modified: 2014-05-26 21:04 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Proposed patch (2.17 KB, patch)
2013-02-21 14:56 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9685: Allow sort baskets by number (2.26 KB, patch)
2013-02-26 14:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Proposed patch (revised) (2.46 KB, patch)
2013-02-28 12:31 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Add robots txt file to deny all bots (663 bytes, patch)
2013-03-07 09:15 UTC, Paul Poulain
Details | Diff | Splinter Review
Bug 9685: Allow sort baskets by number (2.51 KB, patch)
2013-03-08 15:32 UTC, Paul Poulain
Details | Diff | Splinter Review
But 9791: Remove single pixel on datatable tables (3.48 KB, patch)
2013-03-11 15:09 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 9685: Allow sort baskets by number (2.56 KB, patch)
2013-03-30 20:33 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Fridolin SOMERS 2013-02-21 14:54:46 UTC
In acqui/booksellers.pl, first column of baskets tables is "name (#number)".
This allows to sort by name but not by numnber.
I propose to split into 2 columns number and name to allow sorting on number.
Comment 1 Fridolin SOMERS 2013-02-21 14:56:58 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2013-02-26 14:27:34 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-28 10:22:04 UTC
QA comment:

The patch submitted by Owen does not apply (fatal: cannot convert from UTF-8utf-8 to UTF-8).
Furthermore before this patch, the table is sorted on the basket name by default, after by basketno. We have to keep the same order.

Marked as Failed QA.
Comment 4 Fridolin SOMERS 2013-02-28 12:31:01 UTC Comment hidden (obsolete)
Comment 5 Paul Poulain 2013-03-07 09:15:21 UTC
Patch tested with a sandbox, by Marc Sabin <marc.sabin@sciencespo-grenoble.fr>
Comment 6 Paul Poulain 2013-03-07 09:15:44 UTC Comment hidden (obsolete)
Comment 7 Marcel de Rooy 2013-03-07 10:32:56 UTC
(In reply to comment #6)
> Created attachment 15926 [details] [review] [review]
> Add robots txt file to deny all bots
> 
> Signed-off-by: Marc Sabin <marc.sabin@sciencespo-grenoble.fr>

Looks like a mistake...
Comment 8 Jonathan Druart 2013-03-08 10:43:43 UTC
Comment on attachment 15926 [details] [review]
Add robots txt file to deny all bots

not the good report.
Comment 9 Jonathan Druart 2013-03-08 10:44:22 UTC
Switch back to Needs Signoff
Comment 10 Paul Poulain 2013-03-08 15:32:01 UTC
Patch tested with a sandbox, by Marc Sabin <marc.sabin@sciencespo-grenoble.fr>
Comment 11 Paul Poulain 2013-03-08 15:32:19 UTC Comment hidden (obsolete)
Comment 12 Jonathan Druart 2013-03-11 15:09:34 UTC Comment hidden (obsolete)
Comment 13 Jonathan Druart 2013-03-11 15:11:38 UTC
Comment on attachment 16029 [details] [review]
But 9791: Remove single pixel on datatable tables

Not the good report either...
Comment 14 Katrin Fischer 2013-03-30 20:33:07 UTC
Created attachment 17055 [details] [review]
[PASSED QA] Bug 9685: Allow sort baskets by number

In acqui/booksellers.pl, first column of baskets tables is "name (#number)".
This allows to sort by name but not by numnber.

This patch splits acutal first column into 2 columns number and name to
allow sorting on number.
Sets default sort on name like existing.

Test plan:
Look at page and use sorting on name and number columns.

Signed-off-by: Marc Sabin <marc.sabin@sciencespo-grenoble.fr>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Nice change for better usability.
Sorting of both columns works nicely.
Comment 15 Jared Camins-Esakov 2013-03-30 21:30:55 UTC
This patch has been pushed to master.